<?php
// echo '(18) MALE'; verified to work, but it appears at the bottom...

// dev3 introducing some ways of code debugging ...
// 1. using PHP's server side logging capabilities
//error_log('He, we are inside of ExtendProfile.php');

// since this file extends profile.php - it inherits all of its variables, too!
// so let's dump them out and see what's usable ...
//error_log('and these are all available vars: ' . ossn_dump($params));
// we got an array of with 3 arrays named 'user', 'page', and 'subpage'
// since  'page', and 'subpage' are of no interest here
// let's shrink the dump to the 'user' part
//error_log('+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++');
//error_log('dump of user array only: ' . ossn_dump($params['user']));
// the user array contains a User Object with two elements of interest: 'birthdate' and 'gender'
// we can address each of them separately like
//error_log('+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++');
//error_log('birthdate: ' . $params['user']->birSearchthdate);
//error_log('gender: ' . $params['user']->gender);

// likewise, we could display these vars on our profile page
/* 
echo 'birthdate: ' . $params['user']->birthdate;
echo ' gender: ' . $params['user']->gender;
// since the User Object delivers no age by default
// we're going to use a birthdate-to-age converter function
echo ' age: ' . com_eighteenmale_member_age($params['user']->birthdate);
*/

?>

<script>
// 2. using client side (browser) logging capabilities
// via developer console
// console.log('He, we are inside of ExtendProfile.php');
// via popup (annoying and not really recommended)
// alert('He, we are inside of ExtendProfile.php');

/* dev4 using javascript now to position our extras as intended
// make sure our HTML and its anchors are completely in place before we start to apply our add-ons
$(document).ready(function() { 
	// add (18) right to the member's name
	$("[class='user-fullname']").append(' (18)');
	// add MALE below
	$("[class='user-fullname ossn-profile-role']").append(' <div>MALE</div>');
});
*/

<?php
$age = com_eighteenmale_member_age($params['user']->birthdate);
$gender = $params['user']->gender;
?>

// 1.1 replacing formerly hardcoded member attributes by true values
$(document).ready(function() { 
	// variant for LARGE devices (any theme)
	// including white theme which keeps ossn-ürofile-role visible on narrow devices and changes CSS accordingly
	$("[class='user-fullname ossn-profile-role']").append(<?php echo '"<div>' . $age . ', '. $gender . '</div>"';?>);
	// but since any theme except of white is hiding ossn-profile-role on SMALL devices
	<?php
	if (ossn_site_settings('theme') != 'white') {
	?>
		// we need to create a replacement with it's own CSS handling (see css.php) for SMALL devices
		$('<?php echo '<div class="eighteen-male-small-age-gender">' . $age . ', '. $gender . '</div>';?>').insertAfter("[class='user-fullname ossn-profile-role']");
	<?php
	}
	?>
	<?php 
	if ($params['user']->isOnline()) {
	?>
		// add green border to online member's profile pic
		$('.ossn-profile .profile-photo').css({"padding":"0px","border-width":"2px","border-color":"#20c997"});
		$('.ossn-profile .profile-photo img').css({"padding":"0px","border-width":"2px","border-color":"#20c997"});
	<?php
	}
	?>
});

</script>
